| Home | Libraries | People | FAQ | More

## Function template keep

boost::xpressive::keep — Create an independent sub-expression.

## Synopsis

    template<typename Xpr> unspecified keep(Xpr const & xpr);

## Description

Turn off back-tracking for a sub-expression. Any branches or repeats within the sub-expression will match only one way, and no other alternatives are tried.

Parameters:

`xpr` | The sub-expression to modify.

Notes: | keep(xpr) is equivalent to the perl (?>...) extension.

| Copyright © 2003, 2004 Eric Niebler